summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-22 09:47:12 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-22 10:04:17 +0200
commit5edcfce354d52cf4fd4f01549ed778443453dcd8 (patch)
treebd9aca32b7b797ffac09dba83b7610839b43fd66 /net-fs/netatalk
parentmedia-libs/libcaca: Eradicate python2 (diff)
downloadgentoo-5edcfce354d52cf4fd4f01549ed778443453dcd8.tar.gz
gentoo-5edcfce354d52cf4fd4f01549ed778443453dcd8.tar.bz2
gentoo-5edcfce354d52cf4fd4f01549ed778443453dcd8.zip
net-fs/netatalk: Eradicate utils (python2)
Closes: https://bugs.gentoo.org/735416 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'net-fs/netatalk')
-rw-r--r--net-fs/netatalk/metadata.xml1
-rw-r--r--net-fs/netatalk/netatalk-3.1.12.ebuild26
2 files changed, 7 insertions, 20 deletions
diff --git a/net-fs/netatalk/metadata.xml b/net-fs/netatalk/metadata.xml
index 75b09776908..2dcee064863 100644
--- a/net-fs/netatalk/metadata.xml
+++ b/net-fs/netatalk/metadata.xml
@@ -7,7 +7,6 @@
<flag name="quota">Add support for user quota on various filesystems</flag>
<flag name="shadow">Add shadow support</flag>
<flag name="tracker">Add support for spotlight like tracker</flag>
- <flag name="utils">Install afpstats script</flag>
<flag name="ssl">
Use <pkg>dev-libs/openssl</pkg> to provide DHX User Access
Modules. These are not used with most recent versions of OS X
diff --git a/net-fs/netatalk/netatalk-3.1.12.ebuild b/net-fs/netatalk/netatalk-3.1.12.ebuild
index c56257545e1..010c1ff320b 100644
--- a/net-fs/netatalk/netatalk-3.1.12.ebuild
+++ b/net-fs/netatalk/netatalk-3.1.12.ebuild
@@ -3,11 +3,9 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 )
-
AUTOTOOLS_AUTORECONF=yes
-inherit autotools flag-o-matic multilib pam python-r1 systemd
+inherit autotools flag-o-matic multilib pam systemd
DESCRIPTION="Open Source AFP server"
HOMEPAGE="http://netatalk.sourceforge.net/"
@@ -16,7 +14,7 @@ SRC_URI="mirror://sourceforge/project/${PN}/${PN}/$(ver_cut 1-3)/${P}.tar.bz2"
LICENSE="GPL-2 BSD"
SLOT="0/18.0"
KEYWORDS="amd64 arm ~ppc ~ppc64 x86"
-IUSE="acl cracklib dbus debug kerberos ldap pam pgp quota samba +shadow ssl tracker tcpd +utils zeroconf"
+IUSE="acl cracklib dbus debug kerberos ldap pam pgp quota samba +shadow ssl tracker tcpd zeroconf"
CDEPEND="
!app-editors/yudit
@@ -37,14 +35,9 @@ CDEPEND="
ssl? ( dev-libs/openssl:0= )
tcpd? ( sys-apps/tcp-wrappers )
tracker? ( app-misc/tracker )
- utils? ( ${PYTHON_DEPS} )
zeroconf? ( net-dns/avahi[dbus] )
"
-RDEPEND="${CDEPEND}
- utils? (
- dev-lang/perl
- dev-python/dbus-python[${PYTHON_USEDEP}]
- )"
+RDEPEND="${CDEPEND}"
DEPEND="${CDEPEND}
virtual/yacc
sys-devel/flex"
@@ -53,8 +46,7 @@ RESTRICT="test"
REQUIRED_USE="
ldap? ( acl )
- tracker? ( dbus )
- utils? ( ${PYTHON_REQUIRED_USE} )"
+ tracker? ( dbus )"
PATCHES=(
"${FILESDIR}"/${PN}-3.1.7-gentoo.patch
@@ -67,11 +59,9 @@ src_prepare() {
default
append-flags -fno-strict-aliasing
- if ! use utils; then
- sed \
- -e "s:shell_utils::g" \
- -i contrib/Makefile.am || die
- fi
+ sed \
+ -e "s:shell_utils::g" \
+ -i contrib/Makefile.am || die
eautoreconf
}
@@ -138,8 +128,6 @@ src_install() {
> "${T}"/service.systemd || die
systemd_newunit "${T}"/service.systemd ${PN}.service
- use utils && python_foreach_impl python_doscript contrib/shell_utils/afpstats
-
# no static archives
find "${ED}" -name '*.la' -delete || die
}